/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    'use strict';
    var it_is = {1: [1, 2, 4, 5]};
    var half = {4: [1, 2, 3, 4]};
    var to = {4: [10, 11]};
    var past = {5: [1, 2, 3, 4]};
    var o_clock = {10: [5, 6, 7, 8, 9, 10, 11]};
    var five = {3: [7, 8, 9, 10]};
    var ten = {4: [6, 7, 8]};
    var a_quarter = {2: [1, 3, 4, 5, 6, 7, 8, 9]};
    var twenty = {3: [1, 2, 3, 4, 5, 6]};
    var twentyfive = {3: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]};

    var layout = {
        "version": 2,
        "language": 'English',
        "letters": [
            'ITLISBFAMPM',
            'ACQUARTERDC',
            'TWENTYFIVEX',
            'HALFBTENFTO',
            'PASTERUNINE',
            'ONESIXTHREE',
            'FOURFIVETWO',
            'EIGHTELEVEN',
            'SEVENTWELVE',
            'TENSO\'CLOCK'
        ],
        "permanent": it_is,
        "minutes": {
            "0,1,2,3,4": o_clock,
            "5,6,7,8,9": [five, past],
            "10,11,12,13,14": [ten, past],
            "15,16,17,18,19": [a_quarter, past],
            "20,21,22,23,24": [twenty, past],
            "25,26,27,28,29": [twentyfive, past],
            "30,31,32,33,34": [half, past],
            "35,36,37,38,39": [twentyfive, to],
            "40,41,42,43,44": [twenty, to],
            "45,46,47,48,49": [a_quarter, to],
            "50,51,52,53,54": [ten, to],
            "55,56,57,58,59": [five, to]
        },
        "hours": {
            "0,12": {9: [6, 7, 8, 9, 10, 11]},
            "1,13": {6: [1, 2, 3]},
            "2,14": {7: [9, 10, 11]},
            "3,15": {6: [7, 8, 9, 10, 11]},
            "4,16": {7: [1, 2, 3, 4]},
            "5,17": {7: [5, 6, 7, 8]},
            "6,18": {6: [4, 5, 6]},
            "7,19": {9: [1, 2, 3, 4, 5]},
            "8,20": {8: [1, 2, 3, 4, 5]},
            "9,21": {5: [8, 9, 10, 11]},
            "10,22": {10: [1, 2, 3]},
            "11,23": {8: [6, 7, 8, 9, 10, 11]}
        },
        "getHour": function(date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 35) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('en', layout);
}(jQuery));