/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    'use strict';
    var sono_le = {1: [1, 2, 3, 4, 6, 7]};
    var e_l = {2: [1, 3, 4]};
    var e = {8: [1]};
    var meno = {7: [8, 9, 10, 11]};
    var mezza = {10: [7, 8, 9, 10, 11]};
    var cinque = {9: [6, 7, 8, 9, 10, 11]};
    var dieci = {10: [1, 2, 3, 4, 5]};
    var un_quarto = {8: [3, 4, 6, 7, 8, 9, 10, 11]};
    var venti = {9: [1, 2, 3, 4, 5]};
    var venticinque = {9: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11]};

    var layout = {
        "version": 2,
        "language": 'Italiano',
        "letters": [
            'SONORLEBORE',
            'ÈRL\'UNASDUE',
            'TREOTTONOVE',
            'DIECIUNDICI',
            'DODICISETTE',
            'QUATTROCSEI',
            'CINQUEAMENO',
            'ECUNOQUARTO',
            'VENTICINQUE',
            'DIECIPMEZZA'
        ],
        "permanent": [],
        "minutes": {
            "5,6,7,8,9": [e, cinque],
            "10,11,12,13,14": [e, dieci],
            "15,16,17,18,19": [e, un_quarto],
            "20,21,22,23,24": [e, venti],
            "25,26,27,28,29": [e, venticinque],
            "30,31,32,33,34": [e, mezza],
            "35,36,37,38,39": [meno, venticinque],
            "40,41,42,43,44": [meno, venti],
            "45,46,47,48,49": [meno, un_quarto],
            "50,51,52,53,54": [meno, dieci],
            "55,56,57,58,59": [meno, cinque]
        },
        "hours": {
            "0,12": [sono_le, {5: [1, 2, 3, 4, 5, 6]}],
            "1,13": [e_l, {2: [5, 6, 7]}],
            "2,14": [sono_le, {2: [9, 10, 11]}],
            "3,15": [sono_le, {3: [1, 2, 3]}],
            "4,16": [sono_le, {6: [1, 2, 3, 4, 5, 6, 7]}],
            "5,17": [sono_le, {7: [1, 2, 3, 4, 5, 6]}],
            "6,18": [sono_le, {6: [9, 10, 11]}],
            "7,19": [sono_le, {5: [7, 8, 9, 10, 11]}],
            "8,20": [sono_le, {3: [4, 5, 6, 7]}],
            "9,21": [sono_le, {3: [8, 9, 10, 11]}],
            "10,22": [sono_le, {4: [1, 2, 3, 4, 5]}],
            "11,23": [sono_le, {4: [6, 7, 8, 9, 10, 11]}]
        },
        "getHour": function(date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 35) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('it', layout);
}(jQuery));